# Copyright 2010 Dirk Wallenstein
#
# This file is part of X-JHBuild.
#
# X-JHBuild is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# X-JHBuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with X-JHBuild. If not, see <http://www.gnu.org/licenses/>.

# The JHBuild start script makes some variables available through __builtin__.
# We need them too.
import xjhbuild.jhbuild_start_script

# Imitate JHBuild's gettext installation (Installs '_' into the builtin
# namespace):
import gettext
gettext.install('jhbuild', localedir=None, unicode=True)

# Now everything is ready for JHBuild. Clients can use from-import-* with this
# file to make JHBuild available in their scope with one import statement.
import jhbuild.main
